Subject: [PATCH 00/11] build-system: Add 'clojure-build-system'.

From: Alex Vong <[email-masked]>
Date: Wed, 31 Oct 2018 14:02:36 +0800

Hello,

This patch series adds a simple Clojure build system to guix. It uses
plain old 'compile' in Clojure. The patch series does 4 things:

1. Move the 'clojure' package from 'java.scm' to 'lisp.scm' since
clojure is a lisp! Also, 'java.scm' is getting large. I don't want to
make it even larger by adding new clojure packages.
2. Refactor the 'clojure' package. For example, removing the need to
keep 2 lists in sync and factors code into the new 'clojure-utils.scm'.
3. Add 'clojure-build-system' and friends.
4. Add 5 clojure packages to test if everthing works.

Cheers,
Alex